Issue1905

classification
Title: Use jnr.constants instead of com.kenai.constantine
Type: Severity: normal
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: Arfrever, fwierzbicki
Priority: Keywords: patch

Created on 2012-05-28.05:10:33 by Arfrever, last changed 2013-01-29.22:14:32 by Arfrever.

Files
File name Uploaded Description Edit Remove
delete_constantine.jar_references.patch Arfrever, 2012-06-07.21:41:05 Delete constantine.jar references
delete_com.kenai.constantine_references.patch Arfrever, 2012-06-07.22:53:58
Messages
msg7165 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2012-05-28.05:10:33
Both jnr-constants-${version}.jar and constantine.jar provide com.kenai.constantine namespace.
jnr-constants-${version}.jar also provides jnr.constants namespace, which is replacement for com.kenai.constantine.
I suggest to delete constantine.jar and port Jython to use only jnr.constants.
msg7189 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2012-06-07.21:41:05
extlibs/constantine.jar should be removed when applying delete_constantine.jar_references.patch.
msg7190 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2012-06-07.22:53:58
delete_com.kenai.constantine_references.patch replaces remaining com.kenai.constantine references with jnr.constants references.
msg7590 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-01-29.21:33:09
Checked in to latest default (2.7) Thanks Arfrever!
msg7591 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2013-01-29.22:14:32
http://hg.python.org/jython/rev/733258115a8a
History
Date User Action Args
2013-01-29 22:14:32Arfreversetmessages: + msg7591
2013-01-29 21:33:09fwierzbickisetstatus: open -> closed
resolution: fixed
messages: + msg7590
2012-06-07 22:53:59Arfreversetfiles: + delete_com.kenai.constantine_references.patch
messages: + msg7190
2012-06-07 21:41:05Arfreversetfiles: + delete_constantine.jar_references.patch
keywords: + patch
messages: + msg7189
2012-06-07 18:19:33fwierzbickisetassignee: fwierzbicki
nosy: + fwierzbicki
2012-05-28 05:10:33Arfrevercreate